Module | ActiveRecord::Acts::List::ClassMethods
In: | lib/active_record/acts/list.rb

This act provides the capabilities for sorting and reordering a number of objects in a list. The class that has this specified needs to have a "position" column defined as an integer on the mapped database table.

Todo list example:

      class TodoList < ActiveRecord::Base
        has_many :todo_items, :order => "position"
      end

      class TodoItem < ActiveRecord::Base
        belongs_to :todo_list
        acts_as_list :scope => :todo_list
      end

      todo_list.first.move_to_bottom
      todo_list.last.move_higher

### Methods

acts_as_list

### Public Instance methods

acts_as_list(options = {})

Configuration options are:

- `column` - specifies the column name to use for keeping the position integer (default: position)
- `scope` - restricts what is to be considered a list. Given a symbol, it‘ll attach "_id" (if that hasn‘t been already) and use that as the foreign key restriction. It‘s also possible to give it an entire string that is interpolated if you need a tighter scope than just a foreign key. Example: `acts_as_list :scope => ‘todo_list_id = #{todo_list_id} AND completed = 0‘`

[Validate]